from django.contrib import admin

from .models import Question, Choice

class MyAdminSite(admin.AdminSite):
    site_header = "Bioinformatics administration"


class ChoiceInline(admin.TabularInline):
    model = Choice
    extra = 3


class QuestionAdmin(admin.ModelAdmin):
    list_display = ['question_text', 'pub_date', 'was_published_recently']

    fieldsets = [
        (None, {'fields': ['question_text']}),
        ('Date information', {'fields': ['pub_date']}),
    ]

    inlines = [ChoiceInline]

    list_filter = ['pub_date']
    search_fields = ['question_text']


admin_site = MyAdminSite()
admin_site.register(Question, QuestionAdmin)
